{% extends 'base.html' %}

{% block body %}

<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="container">
        <a class="navbar-brand" href="{% url 'dashboard' %}">ISystem</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarText"
                aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarText">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item active">
                    <a class="nav-link" href="{% url 'dashboard' %}">Все проблемы</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'report' %}">Сообщить о проблеме</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'profile' %}">Профиль</a>
                </li>
            </ul>
            <span class="navbar-text">
            Вы вошли как: {{ request.user }} [<a href="{% url 'logout' %}">Выйти</a>]
            </span>
        </div>
    </div>
</nav>

{% block content %}

{% endblock %}
{% block pagination %}
{% if is_paginated %}
{% if page_obj.has_other_pages %}
<ul class="pagination">
    {% if page_obj.has_previous %}
    <li class="page-item"><a class="page-link" href="?page={{ page_obj.previous_page_number }}
{% if request.GET.username %}&username={{request.GET.username}}{% endif %}">&laquo;</a></li>
    {% else %}
    <li class="page-item disabled"><span class="page-link">&laquo;</span></li>
    {% endif %}
    {% for i in page_obj.paginator.page_range %}
    {% if page_obj.number == i %}
    <li class="page-item active"><span class="page-link">{{ i }} <span class="sr-only">(current)</span></span></li>
    {% else %}
    <li class="page-item"><a class="page-link" href="?page={{ i }}
{% if request.GET.username %}&username={{request.GET.username}}{% endif %}">{{ i }}</a></li>
    {% endif %}
    {% endfor %}
    {% if page_obj.has_next %}
    <li class="page-item"><a class="page-link" href="?page={{ page_obj.next_page_number }}
{% if request.GET.username %}&username={{request.GET.username}}{% endif %}">&raquo;</a></li>
    {% else %}
    <li class="page-item disabled"><span class="page-link">&raquo;</span></li>
    {% endif %}
</ul>
{% endif %}
{% endif %}
{% endblock %}
{% endblock %}
